Loading...
Searching...
No Matches
keys.h File Reference

User input key definitions. More...

Go to the source code of this file.

## Macros

#define | BD_VK_KEY_PRESSED 0x80000000
| Key was pressed down.
#define | BD_VK_KEY_TYPED 0x40000000
| Key was typed.
#define | BD_VK_KEY_RELEASED 0x20000000
| Key was released.

## Enumerations

enum

bd_vk_key_e {
BD_VK_NONE = 0xffff ,
BD_VK_0 = 0 ,
BD_VK_1 = 1 ,
BD_VK_2 = 2 ,
BD_VK_3 = 3 ,
BD_VK_4 = 4 ,
BD_VK_5 = 5 ,
BD_VK_6 = 6 ,
BD_VK_7 = 7 ,
BD_VK_8 = 8 ,
BD_VK_9 = 9 ,
BD_VK_ROOT_MENU = 10 ,
BD_VK_POPUP = 11 ,
BD_VK_UP = 12 ,
BD_VK_DOWN = 13 ,
BD_VK_LEFT = 14 ,
BD_VK_RIGHT = 15 ,
BD_VK_ENTER = 16 ,
BD_VK_MOUSE_ACTIVATE = 17 ,
BD_VK_RED = 403 ,
BD_VK_GREEN = 404 ,
BD_VL_YELLOW = 405 ,
BD_VK_BLUE = 406
}

| Key codes. More...

## Detailed Description

User input key definitions.

## Enumeration Type Documentation

## bd_vk_key_e

enum bd_vk_key_e

Key codes.

Enumerator
BD_VK_NONE | no key pressed
BD_VK_0 | "1"
BD_VK_1 | "2"
BD_VK_2 | "3"
BD_VK_3 | "4"
BD_VK_4 | "5"
BD_VK_5 | "6"
BD_VK_6 | "7"
BD_VK_7 | "8"
BD_VK_8 | "9"
BD_VK_9 | "0"
BD_VK_ROOT_MENU | Open disc root menu.
BD_VK_POPUP | Toggle popup menu.
BD_VK_UP | Arrow up.
BD_VK_DOWN | Arrow down.
BD_VK_LEFT | Arrow left.
BD_VK_RIGHT | Arrow right.
BD_VK_ENTER | Select.
BD_VK_MOUSE_ACTIVATE | Mouse click. Translated to BD_VK_ENTER if mouse is over a valid button.
BD_VK_RED | Color key "Red".
BD_VK_GREEN | Color key "Green".
BD_VL_YELLOW | Color key "Yellow".
BD_VK_BLUE | Color key "Blue".